/**
 * Titel:     Quelltext zu Kapitel 8 <br />
 * Buch:      Grundkurs-Java fr Wirtschaftsinformatiker. Vieweg 2007. <br />
 * Autoren:   Klaus-Georg Deck und Herbert Neuendorf
 * Copyright: Copyright (c) 2007 <br />
 * 
 * @author Herbert Neuendorf<br />
 * @version 1.0 <br />
 * 
 */
public class SkontoRechner {
	public static double skonto = 0.02;       // globale Variable
	public static final double MIN = 100.0;   // globale Konstante

	public static double preisRechner( double p ) {
		double preis = p;  			  // lokale Variable preis
		if( p >= MIN ) {  				  // Zugriff auf globale Konstante
			preis = p - p * skonto;   // Zugriff auf globale Variable
		}
		return preis;
	}
	public static void main( String[] args ) {
		double preis;           // lokale Variablen
		double sk; 
		sk = skonto * 100;      // Zugriff auf globale Variable
		preis = IO.promptAndReadDouble( "Preis [GE] = " );
		if( preis >= MIN ) {    // Zugriff auf globale Konstante
			IO.writeln( "Gewhrt wird " + sk + "% Skonto" );
		}
		preis = preisRechner( preis );
		IO.writeln( "Ergibt Endpreis: " + preis + " GE" );
	}
}






