/**
 * Titel:     Quelltext zu Kapitel 8 <br />
 * Buch:      Grundkurs-Java fr Wirtschaftsinformatiker. Vieweg 2007. <br />
 * Autoren:   Klaus-Georg Deck und Herbert Neuendorf
 * Copyright: Copyright (c) 2007 <br />
 * 
 * @author Herbert Neuendorf<br />
 * @version 1.0 <br />
 * 
 */
public class Zinsrechner2 {
	public static double zins( double kp, double zs, int n ){
		double betrag = kp;
		for( int i = 1; i <= n; i++ ){
			betrag = betrag + betrag * zs;
		}
		return betrag;   // Rckgabe des Werts von betrag
	}
	public static void main( String[] args ) {
		double kapital = 1000.0;    int jahre = 10;
		double zinsSatz;            double endKapital;
		for( int z = 1; z <= 10; z++ ) {
			zinsSatz = z/100.0;
			// Entgegennahme des Rckgabewerts:
			endKapital = zins( kapital, zinsSatz, jahre );
			System.out.println( "Kapitalstand = " + endKapital );
		} 
	}
}
