/**
 * Titel:     Quelltext zu Kapitel 8 <br />
 * Buch:      Grundkurs-Java fr Wirtschaftsinformatiker. Vieweg 2007. <br />
 * Autoren:   Klaus-Georg Deck und Herbert Neuendorf
 * Copyright: Copyright (c) 2007 <br />
 * 
 * @author Herbert Neuendorf<br />
 * @version 1.0 <br />
 * 
 */
class Zinsrechner {
	public static void gruss() {
		System.out.println( "Willkommen zur Zinsberechnung:" );
	}
	public static String info() {
		String s = "Die Kapitalentwicklung wird berechnet.\n";
		s = s + "Zins und Zinseszins fr 10 Jahre erfasst.\n";
		s = s + "Zinsverlufe zwischen 1 und 10 Prozent p.a.\n";
		return s;
	}
	public static void ausgabe( double resultat, double zs ) {
		System.out.println( zs + "% Zins, Ertrag = " + resultat );
	}
	public static double zins( double kp, double zs, int n ) {
		double betrag = kp;
		for( int i = 1; i <= n; i++ )
			betrag = betrag + betrag * zs;
		return betrag;
	}
	public static void main( String[] args ) {
		double kapital = 1000.0;   int jahre = 10;
		double zinsSatz;           double endKapital;
		String text = info();
		gruss();
		System.out.println( text );
		for( int z = 1; z <= 10; z++ ) {
			zinsSatz = z/100.0;
			endKapital = zins( kapital, zinsSatz, jahre );
			ausgabe( endKapital, z );
		} 
	}
} 
