/**
 * Titel:     Quelltext zu Kapitel 8 <br />
 * Buch:      Grundkurs-Java fr Wirtschaftsinformatiker. Vieweg 2007. <br />
 * Autoren:   Klaus-Georg Deck und Herbert Neuendorf
 * Copyright: Copyright (c) 2007 <br />
 * 
 * @author Herbert Neuendorf<br />
 * @version 1.0 <br />
 * 
 */
class Zinsrechner5 {
	public static double jahresZins( double kp, double zs ) {
		return  kp + kp * zs;
	}
	public static double zins( double kp, double zs, int n ) {
		double betrag = kp;
		for( int i = 1; i <= n; i++ ) {
			betrag = betrag + jahresZins( betrag, zs );  // Aufruf
		}
		return betrag;
	}
	public static void main( String[] args ) {
		double kapital = 1000.0;
		int jahre = 10;
		double zinsSatz = 0.02;
		double endKapital = zins( kapital, zinsSatz, jahre );
		System.out.println( "Endkapital = " + endKapital ); 
	}
} 



